Skip to main content
POST
/
providers
/
{provider}
/
files
/
{fileId}
/
move
Move or rename a file in an external provider
curl --request POST \
  --url https://api.veryfront.com/providers/{provider}/files/{fileId}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "newParentId": "<string>",
  "newName": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "mimeType": "<string>",
  "size": 123,
  "isFolder": true,
  "modifiedAt": "<string>",
  "thumbnail": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

provider
string
required
fileId
string
required

Body

application/json
projectId
string<uuid>
required
newParentId
string
required
newName
string

Response

Moved file

id
string
required
name
string
required
path
string
required
mimeType
string
required
size
number
required
isFolder
boolean
required
modifiedAt
string
required
thumbnail
string